#Completed in R version 4.2.1 (2022-06-23 ucrt) [platform: x86_64-w64-mingw32]

#2.4. Table S1

Table_S1 <- aggregate(cogbattery_w8 ~ agecat_w8 + educationcat_w8, data = studysample2, FUN = length)
Table_S1$mean <- round(aggregate(cogbattery_w8 ~ agecat_w8 + educationcat_w8, data = studysample2, FUN = mean)[,3], 2)
Table_S1$sd <- round(aggregate(cogbattery_w8 ~ agecat_w8 + educationcat_w8, data = studysample2, FUN = sd)[,3], 2)
Table_S1$mci_cutoff <- paste("≤", round(aggregate(mci_cutoff$cogbattery_w8 ~ agecat_w8 + educationcat_w8, data = studysample2, FUN = mean)[,3], 2))
Table_S1$dementia_cutoff <- paste("≤", round(aggregate(cogbattery_w8 ~ agecat_w8 + educationcat_w8, data = studysample2, FUN = mean)[,3]-2*aggregate(cogbattery_w8 ~ agecat_w8 + educationcat_w8, data = studysample2, FUN = sd)[,3], 2))
Table_S1 <- data.frame(education = Table_S1$educationcat_w8, #where 1=Low, 2=medium, 3=high
                       age = Table_S1$agecat_w8,
                       number = Table_S1$cogbattery_w8,
                       mean = Table_S1$mean,
                       sd = Table_S1$sd,
                       mci_cutoff = Table_S1$mci_cutoff,
                       dementia_cutoff = Table_S1$dementia_cutoff,
                       dementia_range = paste0(0, "–", floor(F1_data$dementia_cutoff)),
                       dmentia_prev = paste0(round(aggregate(dementia_cutoff_cat ~ agecat_w8 + educationcat_w8, data = studysample2, FUN = mean)[,3], 2)*100, "%"),
                       MCI_range = paste0(floor(F1_data$dementia_cutoff)+1, "–", floor(F1_data$mci_cutoff)),
                       MCI_prev = paste0(round(aggregate(mci_cutoff_cat ~ agecat_w8 + educationcat_w8, data = studysample2, FUN = mean)[,3], 2)*100, "%"),
                       NC_range = paste0(floor(F1_data$mci_cutoff)+1, "–", 16),
                       NC_prev = paste0(round(aggregate(nc_cutoff_cat ~ agecat_w8 + educationcat_w8, data = studysample2, FUN = mean)[,3], 2)*100, "%"))
Table_S1 <- Table_S1[order(Table_S1$edu, -Table_S1$age),]
Table_S1$age[Table_S1$age == 1] <- '65–74 years'; Table_S1$age[Table_S1$age == 2] <- '75–84 years'; Table_S1$age[Table_S1$age == 3] <- '≥85 years'
Table_S1$education[Table_S1$education == 1] <- 'low'; Table_S1$education[Table_S1$education == 2] <- 'medium'; Table_S1$education[Table_S1$education == 3] <- 'high'
