#Completed in R version 4.2.1 (2022-06-23 ucrt) [platform: x86_64-w64-mingw32]

#Figure 1

##Flow diagram step 1 
nrow(SHAREdata) - nrow(studysample1); nrow(SHAREdata); nrow(studysample1) #21511 (46733-25222)
summary(as.factor(! (SHAREdata$age_w8 >= 65 | is.na(SHAREdata$age_w8)) )) #13953
summary(as.factor(! (SHAREdata$mn101_w8 == 1 & !is.na(SHAREdata$mn101_w8)) )) #10067
summary(as.factor(! (!(SHAREdata$cf830_w8 == 7 | SHAREdata$cf831_w8 == 7 | SHAREdata$cf833_w8 == 7) | 
                       (is.na(SHAREdata$cf830_w8) | is.na(SHAREdata$cf831_w8 == 7) | is.na(SHAREdata$cf833_w8))) )) #1821
##Flow diagram step 2
nrow(studysample1) - nrow(studysample2); nrow(studysample1); nrow(studysample2) #1390 (25222-23832)
summary(as.factor(! !(
  studysample1$cf008tot_w8 == -2 | is.na(studysample1$cf008tot_w8) | #word registration 
    studysample1$cf010_w8 == -2 | is.na(studysample1$cf010_w8) |#verbal fluency
    studysample1$cf016tot_w8 == -2 | is.na(studysample1$cf016tot_w8) #word recall 
  ))) #921

summary(as.factor(! !(
  studysample1$cf003_w8 == -2 | is.na(studysample1$cf003_w8) | #date
    studysample1$cf004_w8  == -2 | is.na(studysample1$cf004_w8) | #month
    studysample1$cf005_w8  == -2 | is.na(studysample1$cf005_w8) | #year
    studysample1$cf006_w8  == -2 | is.na(studysample1$cf006_w8) | #day of week
    studysample1$numeracy2_w8 == -2 | is.na(studysample1$numeracy2_w8) | #serial7s
    studysample1$cf823_w8 == -2 | is.na(studysample1$cf823_w8) | #counting backwards
    studysample1$cf827_w8 == -2 | is.na(studysample1$cf827_w8) | #object naming: scissors
    studysample1$cf828_w8 == -2 | is.na(studysample1$cf828_w8) | #object naming: cactus
    studysample1$cf829_w8 == -2 | is.na(studysample1$cf829_w8) | #object naming: pharmacy
    studysample1$cf830_w8 == -2 | is.na(studysample1$cf830_w8) | #copy infinity loop drawing
    studysample1$cf831_w8 == -2 | is.na(studysample1$cf831_w8) | #copy cube drawing
    studysample1$cf833_w8 == -2 | is.na(studysample1$cf833_w8) #draw clock
  ))) #393

summary(as.factor(! !(
  studysample1$ph006d16_w8 < 0 | is.na(studysample1$ph006d16_w8) #dementia/CI question
  ))) #84

summary(as.factor(! !(
  studysample1$ph049d7_w8 < 0 | is.na(studysample1$ph049d7_w8) #IADL question
  ))) #83

summary(as.factor(! !(
  studysample1$cf103_w8 < 0 | is.na(studysample1$cf103_w8) #SMC question
  ))) #607

summary(as.factor(! !(
  studysample1$isced1997r_w8 < 0 | is.na(studysample1$isced1997r_w8) | studysample1$isced1997r_w8 >= 95 #Education Also excluded 95 ("still in school") and 97 ("other")
  ))) #195

summary(as.factor(! !(
  studysample1$yrbirth < 0 | is.na(studysample1$yrbirth) | studysample1$int_year < 0 | is.na(studysample1$int_year) | #Age (calculated from birth/interview year)
  studysample1$gender < 0 | is.na(studysample1$gender) | #female sex (i.e. gender)
  studysample1$hhsize < 0 | is.na(studysample1$hhsize) | #Lives alone (i.e. household size)
  (is.na(studysample1$ph043_w8) | studysample1$ph043_w8 < 4) & (studysample1$ph044_w8 < 0 | is.na(studysample1$ph044_w8)) | #eyesight (distance + near, 4 and 5 are "fair" & "poor")
  (is.na(studysample1$ph044_w8) | studysample1$ph044_w8 < 4) & (studysample1$ph043_w8 < 0 | is.na(studysample1$ph043_w8)) | #eyesight (distance + near, 4 and 5 are "fair" & "poor")
  studysample1$ph046_w8 < 0 | is.na(studysample1$ph046_w8) | #hearing
  studysample1$sphus_w8 < 0 | is.na(studysample1$sphus_w8) | #Self-rated health
  studysample1$ph005_w8 < 0 | is.na(studysample1$ph005_w8) | #GALI
  (studysample1$ep005_w8 < 0 | is.na(studysample1$ep005_w8)) & (studysample1$nursinghome < 1 | is.na(studysample1$nursinghome)) | #employment
  rowSums(cbind(studysample1$euro8_w8 < 0 | is.na(studysample1$euro8_w8), #excluded if 3 or more missing frailty (SHARE-FI) items
                studysample1$euro9_w8 < 0 | is.na(studysample1$euro9_w8),
                studysample1$maxgrip_w8 < 0 | is.na(studysample1$maxgrip_w8),
                studysample1$ph048d1_w8 < 0 | is.na(studysample1$ph048d1_w8),
                studysample1$br016_w8 < 0 | is.na(studysample1$br016_w8))) >= 3 | 
  studysample1$hc012_w8 < 0 | is.na(studysample1$hc012_w8) #hospitalisation
))) #676

##Flow diagram step 3
nrow(studysample2) - nrow(sample_primary); nrow(studysample2); nrow(sample_primary) #3080 (23832-20752)
summary(as.factor(! !(
  is.na(studysample2$cognitivegroups_w8)
  )))
